%global srcname d2to1

Name:           python-%{srcname}
Version:        0.2.12
Release:        %mkrel 10
Summary:        Allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/d2to1
Source0:        https://pypi.io/packages/source/d/%srcname/%srcname-%version.tar.gz

BuildArch:      noarch

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

%package -n     python3-%{srcname}
Summary:        Allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all
of a package's metadata, and a very minimal setup.py which will slurp its
arguments from the setup.cfg.

This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc CHANGES.rst CONTRIBUTORS README.rst
%{python3_sitelib}/d2to1*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.2.12-10.mga9
+ Revision: 1822557
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.2.12-9.mga9
+ Revision: 1774365
- Rebuild for python 3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.2.12-8.mga9
+ Revision: 1707539
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.12-7.mga8
+ Revision: 1531846
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.2.12-6.mga8
+ Revision: 1441325
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.2.12-5.mga7
+ Revision: 1352325
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.12-4.mga7
+ Revision: 1288563
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2.12-3.mga7
+ Revision: 1135360
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 0.2.12-1.mga6
+ Revision: 902784
- new version: 0.2.12
- add python 3 subpackage
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-7.mga5
+ Revision: 742048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.10-6.mga5
+ Revision: 728222
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-5.mga5
+ Revision: 687956
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.10-3.mga4
+ Revision: 543116
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.10-2.mga4
+ Revision: 498348
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.2.10-1.mga4
+ Revision: 460758
- imported package python-d2to1

